import Home from "../../portal/views/home/Home.vue";
import school from "../view/school.vue";
import campus from "../view/campus.vue";
import user from "../view/user.vue";
import specially from "../view/specially.vue";
import course from "../view/course.vue";
import examSite from "../view/exam_site.vue";
import app_list from "../view/app_list.vue";
import privilege_group_list from "../view/privilege_group_list.vue";
import privilege_tree from "../view/privilege_tree.vue";
import role_privilege_settings from "../view/role_privilege_settings.vue";

export default [
  {
    path: "/basic", //基础信息
    meta: { auth: false },
    component: Home,
    children: [
      {
        path: "course", //课程管理
        meta: { pageName: "课程管理" },
        component: course
      },
      {
        path: "specially", //专业管理
        meta: { pageName: "专业管理" },
        component: specially
      },
      {
        path: "school", //学校管理
        meta: { pageName: "学校管理" },
        component: school
      },
      {
        path: "campus", //学习中心管理
        meta: { pageName: "学习中心管理" },
        component: campus
      },
      {
        path: "examSite/:orgId", //考点管理
        meta: { pageName: "考点管理" },
        component: examSite
      },
      {
        path: "user", //用户管理
        meta: { pageName: "用户管理" },
        component: user
      },
      {
        path: "app_list", //应用列表
        meta: { pageName: "应用列表" },
        component: app_list
      },
      {
        path: "privilege_group_list", //权限组列表
        meta: { pageName: "权限组列表" },
        component: privilege_group_list
      },
      {
        path: "privilege_tree/:privilegeGroupId", //权限树
        meta: { pageName: "权限树" },
        component: privilege_tree
      },
      {
        path: "role_privilege_settings", //角色权限设置
        meta: { pageName: "角色权限设置" },
        component: role_privilege_settings
      }
    ]
  }
];
